#pragma once

#include <WString.h>

const int SUIT_MAX = 4;
const int RANK_MAX = 8;
const int TRUMP_MAX = 14;

class Card
{
	friend class Deck; // Deck Class needs to access to Card Class but not vice versa
public:
	explicit Card();
	explicit Card(const int &suit, const int &rank);

	String Card2Str() const;
	int getPoints() const;
	int getPoints(String);
	int cardRank(char, String);

private:
	int getSuit() const;
	int getRank() const;
	int _suit;
	int _rank;
	int _points;
};
